Create a new collection
Deprecated: Use the Collections V2 API. Creates a new collection with the specified title, slug, status, and optional parent. Returns the created collection with translations and redirects.
POST
/api/v1/{team_slug}/{app_slug}/collectionsdeprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
Request body
requiredapplication/jsonCollection data
parent_idstringslugstringrequiredstatusstringrequiredAllowed:
activeinactivedrafttitlestringrequiredResponses
200
Collection created successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionrequiredShow propertiesHide properties
childrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionCircular reference to
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.created_atstringidstringparent_idstring | nullredirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsidstringitem_idstring | nulllocalestringnew_slugstringold_slugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectTypeAllowed:
productpagecollectioncategoryproduct_bundleslugstringrequiredstatusstringrequiredAllowed:
activeinactivedrafttitlestringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslationShow propertiesHide properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullupdated_atstring | nulluristringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request (e.g. bad UUID, validation error)
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired422
Invalid request and not parsable by backend
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired